Skip to main content
POST
/
api
/
v1
/
external
/
companies
/
{companyId}
/
quotes
/
{quoteId}
/
bind
Bind Quote
curl --request POST \
  --url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/quotes/{quoteId}/bind \
  --header 'Authorization: <api-key>'
{
  "policyId": "550e8400-e29b-41d4-a716-446655440099",
  "policyNumber": "POL-2025-001",
  "bindErrors": []
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

quoteId
string<uuid>
required

Quote identifier

Response

Quote bound successfully

policyId
string<uuid>
required

ID of the newly created policy

policyNumber
string
required

Auto-generated policy number

bindErrors
object[]
required

Non-fatal warnings encountered during binding